Get exam by ID
curl --request GET \
--url https://apim.doctorassistant.ai/api/sandbox/exams/{EXAM_ID} \
--header 'x-daai-api-key: <api-key>' \
--header 'x-daai-professional-id: <x-daai-professional-id>'import requests
url = "https://apim.doctorassistant.ai/api/sandbox/exams/{EXAM_ID}"
headers = {
"x-daai-professional-id": "<x-daai-professional-id>",
"x-daai-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-daai-professional-id': '<x-daai-professional-id>',
'x-daai-api-key': '<api-key>'
}
};
fetch('https://apim.doctorassistant.ai/api/sandbox/exams/{EXAM_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "rnq71oedacu1ieqmpc80yu3x",
"status": "completed",
"metadata": {
"patient_id": "123456",
"exam_type": "blood_test"
},
"content": {
"date": {
"title": "Exam Date",
"content": "11/24/2017"
},
"tests": {
"title": "Test Results",
"content": [
{
"test_name": {
"title": "Test Name",
"content": "Red Blood Cells"
},
"result": {
"title": "Result",
"content": "4.24 million/mm3"
},
"numeric_result": {
"title": "Numeric Result",
"content": "4.24 million/mm3"
},
"reference_value": {
"title": "Reference Value",
"content": [
"3.90 to 5.03 million/mm3"
]
},
"is_normal": {
"title": "Within reference range",
"content": true
}
}
]
},
"exam_type": {
"title": "Exam Type",
"content": "Clinical Laboratory Test"
},
"patient_name": {
"title": "Patient Name",
"content": "JOHN DOE"
}
}
}{
"message": "Unauthorized",
"statusCode": 401
}{
"message": "Exam not found",
"error": "Not Found",
"statusCode": 404
}Exams
Get exam by ID
Returns the details of a specific exam, including the processed content with structured results.
GET
/
exams
/
{EXAM_ID}
Get exam by ID
Authorizations
API key for authentication
Headers
Professional ID responsible for processing the exams
Path Parameters
Unique exam ID
Response
Exam found successfully
Unique exam ID
Example:
"rnq71oedacu1ieqmpc80yu3x"
Processing status
Available options:
pending, in-progress, completed, failed Example:
"completed"
Exam metadata as sent in the request
Example:
{
"patient_id": "123456",
"exam_type": "blood_test"
}Processed exam content with flexible structure. The schema varies by exam type and may include:
date: Exam datetests: Array with test resultsexam_type: Type of exampatient_name: Patient name- Other fields specific to the exam type
Show child attributes
Show child attributes
⌘I